#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-IO-String
Version		:	1.08
Release		:	17.2.0.rel%{?dist}
Summary		:	Emulate file interface for in-core strings
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Font::TTF

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Provides	:	perl(IO::String)
#-----------------------------------------------------------------------------
%description
The IO::String module provides the IO::File interface for
in-core strings. An IO::String object can be attached to
a string, and makes it possible to use the normal file
operations for reading or writing data, as well as for
seeking to various locations of the string. This is useful
when you want to use a library module that only provides an
interface to file handles on data that you have in a string
variable.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/perl5/core_perl/IO/String.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# Remove the Win32 module in order to avoid requiring perl(Win32API::Registry)
find %{buildroot} -type f -name Win32.pm -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog

